summaryrefslogtreecommitdiff
path: root/tests/mkdir/p-slashdot
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mkdir/p-slashdot')
-rwxr-xr-xtests/mkdir/p-slashdot4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/mkdir/p-slashdot b/tests/mkdir/p-slashdot
index db750f655..5a3561d60 100755
--- a/tests/mkdir/p-slashdot
+++ b/tests/mkdir/p-slashdot
@@ -1,7 +1,7 @@
#!/bin/sh
# Ensure that mkdir -p works with arguments specified with a trailing "/.".
-# Copyright (C) 2005 Free Software Foundation, Inc.
+# Copyright (C) 2005, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -25,7 +25,7 @@ fi
pwd=`pwd`
tmp=`echo "$0"|sed 's,.*/,,'`.tmp
-trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
framework_failure=0